Subject: [RFC PATCH 09/11] DT: regulator: Helper to extract regulator node based on supply name

From: [email-masked] (Mark Brown)
Date: Fri, 16 Sep 2011 00:03:25 +0100

On Thu, Sep 15, 2011 at 04:50:35PM -0600, Grant Likely wrote:

> We've got two competing approaches here.  For reg and interrupts, the
> proposal on the table that we talked about at LPC is to do reg-names
> and interrupts-names so as to preserve the existing semantics of the
> reg and interrupts properties.  For gpios we're using the binding
> "<name>-gpios" for named gpio references.  There isn't the same
> pressure to preserve existing bindings in that case.  I'm okay with
> either approach, providing that "-regulator" is encoded into the name.

I think I prefer the latter but I'm probably not too fussed.

I'd rather use something like -supply for these just on the basis that
you don't always connect things to regulators (for example, speaker
supplies are generally attached direct to the battery).